digiKam Developer Documentation: Digikam::MetadataWidget Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
Digikam::MetadataWidget Class Referenceabstract
Inheritance diagram for Digikam::MetadataWidget:

## Public Types
enum | TagFilters { NONE = 0 , PHOTO , CUSTOM }

## Signals
void | signalSetupMetadataFilters ()

## Public Member Functions
| MetadataWidget (QWidget *const parent, const QString &name=QString())
QString | getCurrentItemKey () const
int | getMode () const
virtual QString | getTagDescription (const QString &key)
QStringList | getTagsFilter () const
virtual QString | getTagTitle (const QString &key)
virtual bool | loadFromData (const QString &fileName, const DMetadata &data=DMetadata())
virtual bool | loadFromURL (const QUrl &url)=0
void | setCurrentItemByKey (const QString &itemKey)
void | setMode (int mode)
void | setTagsFilter (const QStringList &list)
void | setUserAreaWidget (QWidget *const w)

## Protected Slots
virtual void | slotSaveMetadataToFile ()=0

## Protected Member Functions
virtual void | buildView ()
virtual bool | decodeMetadata ()=0
void | enabledToolButtons (bool)
DMetadata * | getMetadata () const
const DMetadata::MetaDataMap & | getMetadataMap ()
virtual QString | getMetadataTitle () const =0
QString | metadataToText () const
QUrl | saveMetadataToFile (const QString &caption, const QString &fileFilter)
void | setFileName (const QString &fileName)
void | setIfdList (const DMetadata::MetaDataMap &ifds, const QStringList &keysFilter, const QStringList &tagsFilter)
void | setIfdList (const DMetadata::MetaDataMap &ifds, const QStringList &tagsFilter=QStringList())
bool | setMetadata (const DMetadata &data=DMetadata())
virtual void | setMetadataEmpty ()
void | setMetadataMap (const DMetadata::MetaDataMap &data=DMetadata::MetaDataMap())
void | setup ()
| Call this method in children class constructors to init signal/slots connections.
bool | storeMetadataToFile (const QUrl &url, const QByteArray &metaData)
MetadataListView * | view () const